DROP TABLE CRST_AR_DISTRIBUTIONS_ALL;

CREATE TABLE CRST_AR_DISTRIBUTIONS_ALL
(
  LINE_ID                   NUMBER(15)          NOT NULL,
  SOURCE_ID                 NUMBER(15)          NOT NULL,
  SOURCE_TABLE              VARCHAR2(10 BYTE)   NOT NULL,
  SOURCE_TYPE               VARCHAR2(30 BYTE)   NOT NULL,
  CODE_COMBINATION_ID       NUMBER(15)          NOT NULL,
  AMOUNT_DR                 NUMBER,
  AMOUNT_CR                 NUMBER,
  ACCTD_AMOUNT_DR           NUMBER,
  ACCTD_AMOUNT_CR           NUMBER,
  CREATION_DATE             DATE                NOT NULL,
  CREATED_BY                NUMBER(15)          NOT NULL,
  LAST_UPDATED_BY           NUMBER(15)          NOT NULL,
  LAST_UPDATE_DATE          DATE                NOT NULL,
  LAST_UPDATE_LOGIN         NUMBER(15),
  ORG_ID                    NUMBER(15),
  SOURCE_TABLE_SECONDARY    VARCHAR2(10 BYTE),
  SOURCE_ID_SECONDARY       NUMBER(15),
  CURRENCY_CODE             VARCHAR2(15 BYTE),
  CURRENCY_CONVERSION_RATE  NUMBER,
  CURRENCY_CONVERSION_TYPE  VARCHAR2(30 BYTE),
  CURRENCY_CONVERSION_DATE  DATE,
  TAXABLE_ENTERED_DR        NUMBER,
  TAXABLE_ENTERED_CR        NUMBER,
  TAXABLE_ACCOUNTED_DR      NUMBER,
  TAXABLE_ACCOUNTED_CR      NUMBER,
  TAX_LINK_ID               NUMBER(15),
  THIRD_PARTY_ID            NUMBER(15),
  THIRD_PARTY_SUB_ID        NUMBER(15),
  REVERSED_SOURCE_ID        NUMBER(15),
  TAX_CODE_ID               NUMBER(15),
  LOCATION_SEGMENT_ID       NUMBER(15),
  SOURCE_TYPE_SECONDARY     VARCHAR2(30 BYTE),
  TAX_GROUP_CODE_ID         NUMBER(15),
  LINE_ID_N                 NUMBER(15)
);
